> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/api/runes/etch-rune/execute-rune-etch-order.md).

# Execute Rune Etch Order

Use this endpoint to execute a Rune Etch order.

{% hint style="warning" %}
You need to first [Create a Rune Etch order](/api/runes/etch-rune/create-rune-etch-order.md) and **fund your order** before you can call this endpoint.
{% endhint %}

## Quick Start

## POST /v1/runes-managed/etch/orders/{orderId}/execute

> Execute an etching order once funded.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/runes-managed/etch/orders/{orderId}/execute":{"post":{"tags":["Runes etch"],"description":"Execute an etching order once funded.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"fundTransactionId":{"minLength":64,"maxLength":64,"type":"string"}},"required":["fundTransactionId"]}}},"required":true},"parameters":[{"schema":{"type":"string","format":"uuid"},"in":"path","name":"orderId","required":true}],"responses":{"200":{"description":"Default Response"}}}}}}
```

## Execute Rune Etch Order - Request

Once you have

* [created your Rune Etch order ](/api/runes/etch-rune/create-rune-etch-order.md)amd received your `orderID`
* funded your Rune Etch order and sent the required `fundAmount` to the `fundAddress`  &#x20;

-> you can call the Execute Etch Order endpoint, using the `orderID` as path parameter&#x20;

## Execute Rune Etch Order - Response

A successful create Execute Etch request will:

1. Return the `fundTransactionId` to your app, confirming that the funding transaction required to execute your order was detected.&#x20;
2. Prompt the Xverse API to process the Etch Order. Its Rune Etch service uses a two-phase commit/reveal procedure to process your order and etch the rune:
   * The funding transaction for the order also acts as a *commit* transaction: it contains a taproot output committing to a script containing the Rune to etch (and optionally the inscription content, if you chose to link an inscription with either `inscriptionDetails` or `delegateInscriptionId`)
   * **Once the commit transaction has reached 6 block confirmations**, the Rune Etch service will craft & broadcast a reveal transaction, which etches the rune (and optionally reveals your linked inscription). The reveal transaction is broadcast at the desired `feeRate` specified in the request, and signed with the funding address for the order. This mechanism protects your rune etching from mempool detection and front-running.

## Next Step -> Monitor Rune Etch Order

Once you've sent the required amount to execute your order, you can call the [Monitor Mint Order](/api/runes/mint-rune/monitor-rune-mint-order.md) endpoint to track the status.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xverse.app/api/runes/etch-rune/execute-rune-etch-order.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
